summaryrefslogtreecommitdiffstats
path: root/bin/tests/system/xfer/prereq.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--bin/tests/system/xfer/prereq.sh27
1 files changed, 12 insertions, 15 deletions
diff --git a/bin/tests/system/xfer/prereq.sh b/bin/tests/system/xfer/prereq.sh
index b262501..923d4b4 100644
--- a/bin/tests/system/xfer/prereq.sh
+++ b/bin/tests/system/xfer/prereq.sh
@@ -14,22 +14,19 @@
SYSTEMTESTTOP=..
. $SYSTEMTESTTOP/conf.sh
-if $PERL -e 'use Net::DNS;' 2>/dev/null
-then
- if $PERL -e 'use Net::DNS; die if ($Net::DNS::VERSION >= 0.69 && $Net::DNS::VERSION <= 0.74);' 2>/dev/null
- then
- :
- else
- echo_i "Net::DNS versions 0.69 to 0.74 have bugs that cause this test to fail: please update." >&2
- exit 1
- fi
-else
- echo_i "This test requires the Net::DNS library." >&2
+if $PERL -e 'use Net::DNS;' 2>/dev/null; then
+ if $PERL -e 'use Net::DNS; die if ($Net::DNS::VERSION >= 0.69 && $Net::DNS::VERSION <= 0.74);' 2>/dev/null; then
+ :
+ else
+ echo_i "Net::DNS versions 0.69 to 0.74 have bugs that cause this test to fail: please update." >&2
exit 1
+ fi
+else
+ echo_i "This test requires the Net::DNS library." >&2
+ exit 1
fi
-if ! $PERL -e 'use Digest::HMAC;' 2>/dev/null
-then
- echo_i "This test requires the Digest::HMAC Perl module." >&2
- exit 1
+if ! $PERL -e 'use Digest::HMAC;' 2>/dev/null; then
+ echo_i "This test requires the Digest::HMAC Perl module." >&2
+ exit 1
fi